%global momorel 5
%global qtver 3.3.5
%global kdever 3.5.2
%global kdelibsrel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0

Summary: Provides a full screen view of all open windows
Name: kompose
Version: 0.5.3
Release: %{momorel}m
License: GPL
URL: http://kompose.berlios.de/
Group: User Interface/Desktops
%NoSource 0 http://download.berlios.de/kompose/%{name}-%{version}.tar.bz2 d0605f3651ed3f2eca9b961266669d30
Patch0: %{name}-0.5.2_beta1-iconsdir.patch
Patch1: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}, imlib2
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: imlib2-devel, desktop-file-utils

%description
Kompose currently allows a fullscreen view of all your virtual desktops where
every window is represented by a scaled screenshot of it's own.

The Composite extension is used if available from the X server.

%prep
%setup -q

%patch0 -p1 -b .iconsdir
%patch1 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category X-KDE-Utilities-Desktop \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/kompose.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL README
%{_bindir}/kompose
%{_datadir}/applications/kde/kompose.desktop
%{_datadir}/apps/kompose
%{_datadir}/doc/HTML/*/kompose
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/locale/*/LC_MESSAGES/kompose.mo

%changelog
* Wed Apr 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-5m)
- add X-KDE-Utilities-Desktop to Categories of kompose.desktop
- update desktop.patch

* Sun Feb 12 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-4m)
- add enable_gcc_check_and_hidden_visibility switch

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-3m)
- rebuild against KDE 3.5 RC1

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-2m)
- add --disable-rpath to configure

* Sun Jul 24 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.3-1m)
- version 0.5.3
- add desktopfile.patch

* Mon Jun 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.5.2-0.1.1m)
- update to version 0.5.2_beta1
- modify spec file
- add iconsdir.patch
- BuildPreReq: desktop-file-utils

* Tue Jan 25 2005 Nakamura Hirotaka <h_nakamura@momonga-linux.org>
- (0.5.1-1m)
- first import
